package patterntesting.sample.jfs2010.web;

import java.io.IOException;

import javax.security.auth.login.LoginException;
import javax.servlet.*;
import javax.servlet.http.*;

import patterntesting.sample.jfs2010.*;

/**
 * Servlet implementation class LoginServlet
 */
public class LoginServlet extends HttpServlet {
    
//    private static final Log log = LogFactory.getLog(LoginServlet.class);
	private static final long serialVersionUID = 1L;

//    /**
//     * @see javax.servlet.GenericServlet#init()
//     */
//    @Override
//    public void init() throws ServletException {
//        super.init();
//        try {
//            ExceptionFactory.registerAsMBean();
//            ClasspathMonitor.registerAsMBean();
//            log.info("MBeans registered");
//        } catch (JMException e) {
//            log.warn("can't register MBeans", e);
//        }       
//    }

    @Override
    protected void doGet(final HttpServletRequest request,
            final HttpServletResponse response) throws ServletException, IOException {
        response.getWriter().print("No Access via GET");
    }

    @Override
    protected void doPost(final HttpServletRequest request,
            final HttpServletResponse response) throws ServletException, IOException {
        String password = request.getParameter("password");
        String userName = request.getParameter("user");

        try {
            User user = LoginService.login(userName, password);
            request.setAttribute("user_login", user.getName());
            RequestDispatcher dispatcher = request
                    .getRequestDispatcher("/overview.jsp");
            dispatcher.forward(request, response);
        } catch (LoginException e) {
            throw new ServletException(e);
        }
    }

}
